CRM_RESOURCE(8)

NAME
crm_resource - Interact with the Cluster Resource Manager

SYNOPSIS
crm_resource [-?VS] -(L|Q|W|D|C|P|p) [options]

DESCRIPTION
crm_resource allow resources to be listed, started, stopped, migrated and so forth.

--help, -?
    this help message

--verbose, -V
    turn on debug info. additional instances increase verbosity

--quiet, -Q
    Print only the value on stdout (for use with -W)

  COMMANDS

--list, -L
    List all resources

--query-xml, -x
    Query a resource. Requires: -r

--locate, -W
    Locate a resource. Requires: -r

--migrate, -M
    Migrate a resource from it current location. Use -H to specify a destination. If -H is not specified, we will force the resource to move by creating a rule for the current location and a score of -INFINITY NOTE: This will prevent the resource from running on this node until the constraint is removed with -U Requires: -r, Optional: -H, -f

--un-migrate, -U
    Remove all constraints created by -M Requires: -r

--delete, -D
    Delete a resource from the CIB. Requires: -r, -t

--cleanup, -C
    Delete a resource from the LRM. Requires: -r. Optional: -H

--reprobe, -P
    Recheck for resources started outside of the CRM. Optional: -H

--refresh, -R
    Refresh the CIB from the LRM. Optional: -H

--set-parameter string, -p string
    Set the named parameter for a resource. Requires: -r, -v. Optional: -i, -s

--get-parameter string, -g string
    Get the named parameter for a resource. Requires: -r. Optional: -i, -s

--delete-parameter string, -d string
    Delete the named parameter for a resource. Requires: -r. Optional: -i

--get-property string, -G string
    Get the named property (eg. class, type, is_managed) a resource. Requires: -r

--set-property string, -S string
    Set the named property (not parameter) for a resource. Requires: -r, -t, -v

  OPTIONS

--resource string, -r string
    Resource ID

--resource-type string, -t string
    Resource type (primitive, clone, group, ...)

--property-value string, -v string
    Property value

--host-uname string, -H string
    Host name

--force-relocation, -f
    Force the resource to move by creating a rule for the current location and a score of -INFINITY This should be used if the resource's stickiness and constraint scores total more than INFINITY (Currently 10,000) NOTE: This will prevent the resource from running on this node until the constraint is removed with -U

-s string
    (Advanced Use Only) ID of the instance_attributes object to change

-i string
    (Advanced Use Only) ID of the nvpair object to change/delete

EXAMPLES
Listing all resources
    crm_resource -L

Checking where a resource is running (and if it does)
    crm_resource -W -r my_first_ip resource my_first_ip is running on: server1 crm_resource -W -r my_first_ip resource my_first_ip is NOT running

Start/stop a resource
    crm_resource -r my_first_ip -p target_role -v started crm_resource -r my_first_ip -p target_role -v stopped

Query the definition of a resource
    crm_resource -Q -r my_first_ip

Migrating a resource away from its current location
    crm_resource -M -r my_first_ip

Migrating a resource to a specific location
    crm_resource -M -r my_first_ip -H c001n02

Allow a resource to return to its normal location
    crm_resource -U -r my_first_ip NOTE: the values of resource_stickiness and default_resource_stickiness may mean that it doesnt move back. In such cases, you should use -M to move it back and then run this command.

Deleting a resource from the CR
    crm_resource -D -r my_first_ip -t primitive

Deleting a resource group from the CRM
    crm_resource -D -r my_first_group -t group

Disabling a resource management for a resource in the CRM
    crm_resource -p is_managed -r my_first_ip -t primitive -v off

Enabling a resource management for a resource in the CRM
    crm_resource -p is_managed -r my_first_ip -t primitive -v on

Resetting a failed resource after having been manually cleaned up
    crm_resource -C -H c001n02 -r my_first_ip

Rechecking all nodes for resources started outside of the CRM
    crm_resource -P

Rechecking one node for resources started outside of the CRM
    crm_resource -P -H c001n02

FILES

SEE ALSO
cibadmin(8), crmadmin(8), lrmadmin(8), heartbeat(8)

NOTES

AUTHOR
crm_resource was written by Andrew Beekhof.

This manual page was originally written by Gildas Le Nadan (Genome Research Limited, 2006).

CAVEATS

BUGS